model:
  -
    name: 'model_list'
    label: '简单列表'
    # list/card/view
    type: 'list'
    # 布局
    layout:
      -
        name: 'c1'
        label: '简单列表'
        type: 'list'
        hasGroup: false
    # 变量
    param:
      -
        name: 'queryDs'
        type: 'ds'
        label: '列表数据集'
        desc: '请选择列表数据集'
  -
    name: 'model_list_card'
    label: '简单列表(含卡片)'
    # list/card/view
    type: 'list'
    # 布局
    layout:
      -
        name: 'list'
        label: '简单列表'
        type: 'list'
        hasGroup: false
      - name: 'card'
        label: '编辑卡片'
        type: 'card'
        hasGroup: false
    # 变量
    param:
      -
        name: 'cardTitle'
        type: 'input'
        label: '卡片标题'
        desc: '请选择弹窗卡片标题'
      -
        name: 'col'
        type: 'number'
        label: '弹窗卡片列数'
        desc: '请选择弹窗卡片列数（1或2）'
  -
    name: 'model_list_list'
    label: '主副列表（含卡片）'
    # list/card/view
    type: 'list'
    # 布局
    layout:
      -
        name: 'c1'
        label: '主列表'
        type: 'list'
        hasGroup: false
      - name: 'c2'
        label: '副列表'
        type: 'list'
        hasGroup: false
      - name: 'c3'
        label: '主编辑卡片'
        type: 'card'
        hasGroup: false
      - name: 'c4'
        label: '副编辑卡片'
        type: 'card'
        hasGroup: false
    # 变量
    param:
      -
        name: 'listDs_main'
        type: 'ds'
        label: '主列表数据集'
        desc: '请选择主列表数据集'
      -
        name: 'editDs_main'
        type: 'ds'
        label: '主卡片数据集'
        desc: '请选择弹窗主卡片数据集'
      -
        name: 'main_col'
        type: 'number'
        label: '主卡片列数'
        desc: '请选择弹窗主卡片列数（1或2）'
      -
        name: 'editDs_main_title'
        type: 'input'
        label: '主卡片标题'
        desc: '请选择主弹窗卡片标题'
        is_isolation: 'true'
      -
        name: 'listDs_assist'
        type: 'ds'
        label: '副列表数据集'
        desc: '请选择附列表数据集'
      -
        name: 'editDs_assist'
        type: 'ds'
        label: '副卡片数据集'
        desc: '请选择弹窗附列表卡片数据集'
      -
        name: 'assist_col'
        type: 'number'
        label: '副卡片列数'
        desc: '请选择弹窗附列表卡片列数（1或2）'
      -
        name: 'editDs_assist_title'
        type: 'input'
        label: '副卡片标题'
        desc: '请选择附弹窗卡片标题'
  -
    name: 'model_tree_list'
    label: '树目录列表(含卡片)'
    # list/card/view
    type: 'list'
    # 布局
    layout:
      -
        name: 'c1'
        label: '简单列表'
        type: 'list'
        hasGroup: false
      - name: 'c2'
        label: '编辑卡片'
        type: 'card'
        hasGroup: false
    # 变量
    param:
      -
        name: 'queryDs'
        type: 'ds'
        label: '列表数据集'
        desc: '请选择列表数据集'
      -
        name: 'editDs'
        type: 'ds'
        label: '卡片数据集'
        desc: '请选择弹窗卡片数据集'
      -
        name: 'editTitle'
        type: 'input'
        label: '卡片标题'
        desc: '请选择弹窗卡片标题'
      -
        name: 'col'
        type: 'number'
        label: '弹窗卡片列数'
        desc: '请选择弹窗卡片列数（1或2）'
  -
    name: 'model_card'
    label: '简单卡片'
    # list/card/view
    type: 'card'
    # 布局
    layout:
      -
        name: 'c1'
        label: '简单卡片'
        type: 'card'
        hasGroup: false
    # 变量
    param:
      -
        name: 'col'
        type: 'number'
        label: '列数'
        desc: '请选择表单列数'
  -
    name: 'model_step_card'
    label: '步骤卡片'
    # list/card/view
    type: 'card'
    # 布局
    layout:
      -
        name: 'c1'
        label: '步骤卡片'
        type: 'card'
        hasGroup: false
    # 变量
    param:
      -
        name: 'col'
        type: 'number'
        label: '列数'
        desc: '请选择表单列数(目前只支持1，2，3)'
  -
    name: 'model_group_card'
    label: '分组卡片'
    # list/card/view
    type: 'card'
    # 布局
    layout:
      -
        name: 'c1'
        label: '分组卡片'
        type: 'card'
        hasGroup: true
    param:
      -
        name: 'mainDs'
        type: 'ds'
        label: '主卡片数据集'
        desc: '请选择主要卡片数据集'
      -
        name: 'want_point'
        type: 'checkbox'
        label: '添加步骤条'
        desc: '勾选则添加步骤条'
  -
    name: 'model_point_card'
    label: '分组锚点卡片'
    # list/card/view
    type: 'card'
    # 布局
    layout:
      -
        name: 'c1'
        label: '分组卡片'
        type: 'card'
        hasGroup: true
    param:
      -
        name: 'mainDs'
        type: 'ds'
        label: '主卡片数据集'
        desc: '请选择主要卡片数据集'
